<?php

namespace app\admin\model;

use think\Model;
use think\Db;


class Useridconfirm extends Model
{

    

    

    // 表名
    protected $table = 'user_idconfirm';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'status_text'
    ];
    

    protected static function init(){
        self::afterUpdate(function ($row) {
            $changed = $row->getChangedData();
            if (isset($changed['status'])) {
                $update = ['idcard_status'=>$changed['status']];
                if($changed['status'] == 1){
                    $update['nickname'] = $row['truename'];
                }
                Db::name('user')->where('id',$row['user_id'])->update($update);
            }

        });
    }

    
    public function getStatusList()
    {
        return ['0' => __('Status 0'), '1' => __('Status 1'), '2' => __('Status 2')];
    }


    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }




    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
